Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236481 - skip 'flash' bootloader partition of PS3 storage.
Summary: skip 'flash' bootloader partition of PS3 storage.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 235611
TreeView+ depends on / blocked
 
Reported: 2007-04-14 22:58 UTC by David Woodhouse
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-17 14:50:28 UTC


Attachments (Terms of Use)
patch (deleted)
2007-04-15 16:17 UTC, David Woodhouse
no flags Details | Diff

Description David Woodhouse 2007-04-14 22:58:57 UTC
The PS3 has an unpartitioned SCSI 'disk', usually /dev/sdb, which contains the
bootloader and information shared with Game OS. The installer currently reports
that it does not contain a valid partition table and offers to initialise it. It
would be good to automatically skip it.

The device in question appears as 'Direct-Access-RBC' in /proc/scsi/scsi -- the
type in /sys/block/sdb/device/type is '14'. That's how the Sony tools check for
it when they want to access it.

Vendor and Model reported in /proc/scsi/scsi are 'SCEI' and 'Flash-5' resp., if
those are a better way to identify it. They appear in
/sys/block/$dev/device/{vendor,model}

Comment 1 David Woodhouse 2007-04-15 16:17:19 UTC
Created attachment 152651 [details]
patch

Here's a hack which works. Someone who actually understands python could surely
do a lot better.

Comment 2 David Woodhouse 2007-04-15 16:18:57 UTC
Oops, I meant to drop the EARLY_SWAP_RAM hunk, but it's not as if you were going
to use the patch as-is anyway, so I'll not file an updated patch.

Comment 3 Paul Nasrat 2007-04-17 14:50:28 UTC
Blacklist as we do with iSeries is better fix, commited.

>>> peddev = parted.PedDevice.get("/dev/sdb")
>>> peddev.model
'SCEI Flash-5'



Note You need to log in before you can comment on or make changes to this bug.